
Foreman - Bug #15077

Error HTML tags are shown

05/18/2016 06:50 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Web Interface   

Target version: 1.11.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3532

  

Description

On some custom errors we show, the alert_header helper is escaping the HTML tags we put on the alert title.

http://imgur.com/cm6l5ZW

Obviously these shouldn't be escaped.

Associated revisions

Revision 0300fadf - 05/19/2016 10:53 AM - Daniel Lobato Garcia

Fixes #15077 - Error HTML tags are shown

On some custom errors we show, the alert_header helper is escaping the

HTML tags we put on the alert title.

http://imgur.com/cm6l5ZW

Obviously these shouldn't be escaped. Fix is as simple as marking the

string that puts the tags as html_safe

Revision 90e90fc6 - 06/16/2016 02:14 PM - Daniel Lobato Garcia

Fixes #15077 - Error HTML tags are shown

On some custom errors we show, the alert_header helper is escaping the

HTML tags we put on the alert title.

http://imgur.com/cm6l5ZW

Obviously these shouldn't be escaped. Fix is as simple as marking the

string that puts the tags as html_safe

(cherry picked from commit 0300fadf46da1526fe428a2cdb7183b24b13605b)

History

#1 - 05/18/2016 06:52 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/3532 added

#2 - 05/19/2016 11:02 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0300fadf46da1526fe428a2cdb7183b24b13605b.
#3 - 05/20/2016 06:55 AM - Dominic Cleal

- translation missing: en.field_release set to 159
